Fail installing control-2.6.6 in Octave 4.0.0-rc2

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Fail installing control-2.6.6 in Octave 4.0.0-rc2

José Luis García Pallero
Hello:

I'm trying to install the control package (version 2.6.6) in the
recent Octave 4.0.0-rc2. I obtain an error in:

ar -rc slicotlibrary.a ./sltmp/*.o
rm -rf sltmp slicot
LFLAGS="-L/opt/octave/lib/
octave/4.0.0-rc2 -L/opt/octave/lib -llapack
-lopenblas -L/opt//plplot//lib/../lib -L/opt//cula//lib64/../lib
-L/opt//cuda//lib64/../lib -L/opt//magma//lib/../lib
-L/opt//plasma//lib/../lib -L/opt//atlas//lib/../lib
-L/opt//openblas//lib/../lib -L/usr/lib/gcc/x86_64-linux-gnu/4.9
-L/usr/lib/gcc/x86_64-linux-gnu/4.9/../../../x86_64-linux-gnu
-L/usr/lib/gcc/x86_64-linux-gnu/4.9/../../../../lib
-L/lib/x86_64-linux-gnu -L/lib/../lib -L/usr/lib/x86_64-linux-gnu
-L/usr/lib/../lib
-L/opt/intel/composer_xe_2013_sp1.3.174/compiler/lib/intel64
-L/opt/intel/composer_xe_2013_sp1.3.174/mkl/lib/intel64
-L/opt//plplot//lib -L/opt//cula//lib64 -L/opt//cuda//lib64
-L/opt//magma//lib -L/opt//plasma//lib -L/opt//atlas//lib
-L/opt//openblas//lib -L. -L/usr/lib/gcc/x86_64-linux-gnu/4.9/../../..
-lgfortran -lm -lquadmath" \
    /opt/octave/bin/mkoctfile-4.0.0-rc2 --verbose
__control_slicot_functions__.cc common.cc slicotlibrary.a
g++ -c  -fPIC -I/opt/octave/include/octave-4.0.0-rc2/octave/..
-I/opt/octave/include/octave-4.0.0-rc2/octave -I/opt/octave/include
-pthread -fopenmp -g -O2    __control_slicot_functions__.cc -o
__control_slicot_functions__.o

Makefile:40: recipe for target '__control_slicot_functions__.oct' failed
make: *** [__control_slicot_functions__.oct] Error 1
make: Leaving directory '/tmp/oct-pOBfhG/control/src'

pkg: error running `make' for the control package.
error: called from 'configure_make' in file
/opt/octave/share/octave/4.0.0-rc2/m/pkg/private/configure_make.m near
line 96, column 9

I'm not sure if the error comes from the control package or from
octave itself (configure_make.m script)

Best regards


--
*****************************************
José Luis García Pallero
[hidden email]
(o<
/ / \
V_/_
Use Debian GNU/Linux and enjoy!
*****************************************

Reply | Threaded
Open this post in threaded view
|

Re: Fail installing control-2.6.6 in Octave 4.0.0-rc2

chechu

the actual release of control package fails to build with the version 4.0  of octave; with the devel version recovered from SVN your are able of install it. I can recall the way of checking that from   octave-forge, try to google it.
Yours sincerly, saludos Jose G.R.

Le 2015-03-23 12:47, "José Luis García Pallero" <[hidden email]> a écrit :
Hello:

I'm trying to install the control package (version 2.6.6) in the
recent Octave 4.0.0-rc2. I obtain an error in:

ar -rc slicotlibrary.a ./sltmp/*.o
rm -rf sltmp slicot
LFLAGS="-L/opt/octave/lib/
octave/4.0.0-rc2 -L/opt/octave/lib -llapack
-lopenblas -L/opt//plplot//lib/../lib -L/opt//cula//lib64/../lib
-L/opt//cuda//lib64/../lib -L/opt//magma//lib/../lib
-L/opt//plasma//lib/../lib -L/opt//atlas//lib/../lib
-L/opt//openblas//lib/../lib -L/usr/lib/gcc/x86_64-linux-gnu/4.9
-L/usr/lib/gcc/x86_64-linux-gnu/4.9/../../../x86_64-linux-gnu
-L/usr/lib/gcc/x86_64-linux-gnu/4.9/../../../../lib
-L/lib/x86_64-linux-gnu -L/lib/../lib -L/usr/lib/x86_64-linux-gnu
-L/usr/lib/../lib
-L/opt/intel/composer_xe_2013_sp1.3.174/compiler/lib/intel64
-L/opt/intel/composer_xe_2013_sp1.3.174/mkl/lib/intel64
-L/opt//plplot//lib -L/opt//cula//lib64 -L/opt//cuda//lib64
-L/opt//magma//lib -L/opt//plasma//lib -L/opt//atlas//lib
-L/opt//openblas//lib -L. -L/usr/lib/gcc/x86_64-linux-gnu/4.9/../../..
-lgfortran -lm -lquadmath" \
    /opt/octave/bin/mkoctfile-4.0.0-rc2 --verbose
__control_slicot_functions__.cc common.cc slicotlibrary.a
g++ -c  -fPIC -I/opt/octave/include/octave-4.0.0-rc2/octave/..
-I/opt/octave/include/octave-4.0.0-rc2/octave -I/opt/octave/include
-pthread -fopenmp -g -O2    __control_slicot_functions__.cc -o
__control_slicot_functions__.o

Makefile:40: recipe for target '__control_slicot_functions__.oct' failed
make: *** [__control_slicot_functions__.oct] Error 1
make: Leaving directory '/tmp/oct-pOBfhG/control/src'

pkg: error running `make' for the control package.
error: called from 'configure_make' in file
/opt/octave/share/octave/4.0.0-rc2/m/pkg/private/configure_make.m near
line 96, column 9

I'm not sure if the error comes from the control package or from
octave itself (configure_make.m script)

Best regards


--
*****************************************
José Luis García Pallero
[hidden email]
(o<
/ / \
V_/_
Use Debian GNU/Linux and enjoy!
*****************************************